#
# spec file for package rubygem-responders
#
# Copyright (c) 2023 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


#
# This file was generated with a gem2rpm.yml and not just plain gem2rpm.
# All sections marked as MANUAL, license headers, summaries and descriptions
# can be maintained in that file. Please consult this file before editing any
# of those fields
#

Name:           rubygem-responders
Version:        3.1.1
Release:        1.5
%define mod_name responders
%define mod_full_name %{mod_name}-%{version}
BuildRequires:  %{ruby >= 2.5.0}
BuildRequires:  %{rubygem gem2rpm}
BuildRequires:  ruby-macros >= 5
URL:            https://github.com/heartcombo/responders
Source:         https://rubygems.org/gems/%{mod_full_name}.gem
Source1:        gem2rpm.yml
Summary:        A set of Rails responders to dry up your application
License:        MIT

%description
A set of Rails responders to dry up your application.

%prep

%build

%install
%gem_install \
  --doc-files="CHANGELOG.md MIT-LICENSE README.md" \
  -f

%gem_packages

%changelog
* Tue Nov 14 2023 Dan Čermák <dan.cermak@posteo.net>
- New upstream release 3.1.1, see bundled CHANGELOG.md
* Fri Sep 25 2020 Stephan Kulow <coolo@suse.com>
  updated to version 3.0.1
  see installed CHANGELOG.md
  [#]# 3.0.1
  * Add support to Ruby 2.7
* Fri Jul 19 2019 Stephan Kulow <coolo@suse.com>
- updated to version 3.0.0
  see installed CHANGELOG.md
  [#]# 3.0.0
  * Remove support for Rails 4.2
  * Remove support for Ruby < 2.4
* Sat Mar  2 2019 Stephan Kulow <coolo@suse.com>
- updated to version 2.4.1
  see installed CHANGELOG.md
  [#]# 2.4.1
  * Add support for Rails 6 beta
* Tue May 23 2017 coolo@suse.com
- updated to version 2.4.0
  see installed CHANGELOG.md
* Tue Aug 16 2016 coolo@suse.com
- updated to version 2.3.0
  see installed CHANGELOG.md
  [#]# Unreleased
  [#]# 2.3.0
  * `verify_request_format!` is aliased to `verify_requested_format!` now.
  * Implementing the `interpolation_options` method on your controller is deprecated
    in favor of naming it `flash_interpolation_options` instead.
* Sat Apr 30 2016 coolo@suse.com
- updated to version 2.2.0
  see installed CHANGELOG.md
  [#]# 2.2.0
  * Added the `verify_request_format!` method, that can be used as a `before_action`
    callback to prevent your actions from being invoked when the controller does
    not respond to the request mime type, preventing the execution of complex
    queries or creating/deleting records from your app.
* Tue Mar 22 2016 coolo@suse.com
- updated to version 2.1.2
  see installed CHANGELOG.md
  [#]# 2.1.2
  * Fix rendering when using `ActionController::API`. (by @eLod)
  * Added API controller template for the controller generator. (by @vestimir)
* Sun Dec 20 2015 coolo@suse.com
- updated to version 2.1.1
  see installed CHANGELOG.md
  [#]# 2.1.1
  * Added support for Rails 5.
* Fri Feb  6 2015 coolo@suse.com
- updated to version 2.1.0
  * No longer automatically set the responders generator as many projects may use this gem as a dependency. When upgrading, users will need to add `config.app_generators.scaffold_controller :responders_controller` to their application. The `responders:install` generator has been updated to automatically insert it in new applications
  [#]# 2.0.1
  * Require `rails/railtie` explicitly before using it
  * Require `action_controller` explicitly before using it
  * Remove unnecessary and limiting `resourceful?` check that required models to implement `to_#{format}` (such checks are responsibility of the rendering layer)
  [#]# 2.0.0
  * Import `respond_with` and class-level `respond_to` from Rails
  * Support only Rails ~> 4.2
  * `Responders::LocationResponder` is now included by the default responder (and therefore deprecated)
* Mon Oct 13 2014 coolo@suse.com
- adapt to new rubygem packaging
* Mon Jul 28 2014 coolo@suse.com
- updated to version 1.1.0
  * Support Rails 4.1.
  * Allow callable objects as the location.
* Mon Sep 23 2013 coolo@suse.com
- updated to version 1.0.0
  * Improve controller generator to work closer to the Rails 4 one, and make it
  compatible with strong parameters.
  * Drop support for Rails 3.1 and Ruby 1.8, keep support for Rails 3.2
  * Support for Rails 4.0 onward
  * Fix flash message on destroy failure. Fixes #61
* Mon Oct  1 2012 coolo@suse.com
- updated to version 0.9.3
  * Fix url generation for namespaced models
* Wed Aug  1 2012 coolo@suse.com
- updated to version 0.9.2
* Wed Jan 18 2012 mrueckert@suse.de
- initial package
